<div class="container-fluid">
    
  <form novalidate [formGroup]="form">
      <div class="row tky-full-width">
          <div class="col  col-md-6 col-lg-6  tky-full-width ">
              <mat-card class="tky-full-width">
                  <h2>
                    <mat-form-field class="example-full-width text-white">    
                          <mat-select placeholder="Seleccione Tipo de Factura" formControlName="billType">
                            <mat-option *ngFor="let element of billType" required [value]="element">
                              <span>{{ element.name_bill_type}}</span>
                            </mat-option>
                          </mat-select>
                    </mat-form-field>
                    </h2>  
              </mat-card>
              <div class="row">
                  
                <h2 class="text-center tky-right">Fecha: {{ today | date: 'medium' }}</h2>
              </div>
          </div>
          <div class=" col  col-md-6 col-lg-6  ">
            <mat-card>
              <mat-card-title>TIENDA {{third?.info.fullname}}</mat-card-title>
              <mat-card-content class="text-center">
                {{third?.info.document_number}}
              </mat-card-content>
            </mat-card>
            <mat-card class="tky-top-buffer" *ngIf="isVenueThird">
                <h3>
                    <mat-form-field class="example-full-width text-white">
        
                      <mat-select placeholder="Sedes" formControlName="id_th_venue">
                        <mat-option *ngFor="let documentType of thirdStoreVenue" required [value]="documentType.id_third">
                          <span>{{ documentType.info.fullname}}</span>
                        </mat-option>
                      </mat-select>
        
                    </mat-form-field>
        
                  </h3>
              
            </mat-card>
          </div>
        </div>
        <div class="container row tky-full-width ">
            
  
  
          </div>
    <div class="row  tky-full-width" *ngIf="isCode">
      <mat-card class=" tky-full-width tky-top-buffer text-center">
        <mat-card-title>Lector de Código de Barras</mat-card-title>
        <h3>
          <mat-form-field class="example-full-width text-white">
          
            <mat-select placeholder="Simulación de lectura de Código de Barras" formControlName="codeProd">
              <mat-option *ngFor="let element of inventoryList" required [value]="element">
                <span>{{ element.description.code}} -> {{ element.product.name_product}}</span>
              </mat-option>
            </mat-select>
      
          </mat-form-field>
        </h3>
        <mat-card-actions>
          <h3>
            <mat-form-field class="tky-left">
                <input type="number" matInput placeholder="Cantidad de {{isExit?' Salida':'Entrada'}}" 
                formControlName="quantity"
                min="0"
                max="{{isExit? itemLoadBilling?.detail?.quantity:'999999999999999999'}}">
          
  
                <span matPrefix>{{isExit?'-':'+'}}&nbsp;</span>
                <span matSuffix>{{total}} </span>
                <mat-error *ngIf="form.controls.quantity.errors && form.controls.quantity.touched">
                    <mat-error *ngIf="form.controls.quantity.errors.required">
                        la cantidad es requerida <strong>requerido</strong>
                    </mat-error>
                    <mat-error *ngIf="form.controls.quantity.errors.max">
  
                          la cantidad debe ser inferior a <strong>{{itemLoadBilling?.detail.quantity }}</strong>
                      </mat-error>
                      <mat-error *ngIf="form.controls.quantity.errors.min">
                              
                        la cantidad debe ser superior a <strong>0</strong>
                     </mat-error>
  
                </mat-error>
              </mat-form-field>

            </h3>
          <button mat-raised-button (click)=" loadDatailBilling(itemLoadBilling)">Agregar Producto</button>
          <button mat-raised-button  [matMenuTriggerFor]="menu" class="tky-right">Ver más</button>
          <mat-menu #menu="matMenu">
            <mat-card>
                <p>{{itemLoadBilling  | json}}</p>
            </mat-card>
          </mat-menu>
        </mat-card-actions>
      </mat-card>
    </div>

  

    <div class="row">
      <mat-divider></mat-divider>
    </div>


    <div class="row" *ngIf="isDetail">
        <div class="col-md-12">
            <div class="card card-plain">
                <div class="card-header" data-background-color="orange">
                    <h3 class="title"> <b> Detalle de los Articulos </b>  </h3>
                    <p class="category">Estos son los productos de tu compra</p>
                </div>
                <div class="card-content table-responsive">
                    <table class="table table-hover">
                        <thead>
                            <tr>
                                <th>ID</th>
                                <th>Nombre</th>
                                <th>Cantidad</th>
                                <th>Valor</th>
                                <th>Valor Total</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let obj of detailBillingDTOList; let i=index" >
                                <td>{{i+1}}</td>
                                <td>{{obj.item.product.name_product}}</td>
                                <td>{{obj.quantity}}</td>
                                <td>{{obj.item.description.standard_price |currency}}</td>
                                <td>{{ (obj.item.description.standard_price*obj.quantity )  | currency }}</td>
                            </tr>
                            <tr>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td>Total de la Compra</td>
                                <td>
                                  {{TOTAL_PRICE  | currency }}
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
<br>
    
    <button mat-raised-button  (click)="save()" class="tky-right">Cerrar Factura</button>


  </form>

</div>
